/* 変数管理システム */
#include "var.h"
#include "abuff.h"

VAR0 *VarLocal(VARSYS2 *var)
// varと同じ分のエリアをVAR0で確保し、そのアドレスを返す。
{
VAR0 *var0;
	var0=(VAR0 *)newmalloc(sizeof(VAR0)*var->vpoint);
	if (var0!=NULL) {
	    int i;
		// typeを全てVKAKU(未確定)にする
		for (i=0;i<var->vpoint;i++) var0[i].type=VKAKU;
	}
	return(var0);
}
